package de.mdelab.mlsdm.interpreter.eclipse;

import de.mdelab.expressions.interpreter.core.ExpressionsInterpreterException;
import de.mdelab.mlsdm.interpreter.MLSDMInterpreter;
import de.mdelab.mlsdm.interpreter.debug.MLSDMInterpreterLauncher;
import de.mdelab.mlsdm.interpreter.facade.MLSDMMetamodelFacadeFactory;
import de.mdelab.sdm.interpreter.core.SDMException;

public class MLSDMEclipseInterpreterLauncher extends MLSDMInterpreterLauncher {

	public MLSDMEclipseInterpreterLauncher() {
		super();
	}
	
	public MLSDMEclipseInterpreterLauncher( final ClassLoader p_classLoader ) {
		super( p_classLoader );
	}
	
	@Override
	protected MLSDMInterpreter createInterpreter( final MLSDMMetamodelFacadeFactory facadeFactory )
	throws SDMException {
		try {
			return new MLSDMEclipseInterpreter( classLoader );
		} catch (final ExpressionsInterpreterException ex ) {
			throw new SDMException( ex );
		}
	}
}
